"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const vitest_1 = require("vitest");
const index_js_1 = require("./index.js");
// Convert [0..1] float to a percent value with only one decimal.
const pct = (n) => ((n * 1000) << 0) / 10;
(0, vitest_1.describe)("colorDiff", () => {
    (0, vitest_1.test)("totally opaque (no alpha defined)", () => {
        (0, vitest_1.expect)((0, index_js_1.colorDiff)({ r: 255, g: 0, b: 0 }, { r: 255, g: 0, b: 0 })).toEqual(0);
        (0, vitest_1.expect)(pct((0, index_js_1.colorDiff)({ r: 255, g: 0, b: 0 }, { r: 0, g: 0, b: 0 }))).toEqual(33.3);
        (0, vitest_1.expect)(pct((0, index_js_1.colorDiff)({ r: 255, g: 0, b: 0 }, { r: 0, g: 255, b: 0 }))).toEqual(66.6);
        (0, vitest_1.expect)((0, index_js_1.colorDiff)({ r: 255, g: 0, b: 0 }, { r: 0, g: 255, b: 255 })).toEqual(1);
        (0, vitest_1.expect)((0, index_js_1.colorDiff)({ r: 0, g: 0, b: 0 }, { r: 255, g: 255, b: 255 })).toEqual(1);
    });
    (0, vitest_1.test)("totally transparent", () => {
        (0, vitest_1.expect)((0, index_js_1.colorDiff)({ r: 255, g: 0, b: 0, a: 0 }, { r: 255, g: 0, b: 0, a: 0 })).toEqual(0);
        (0, vitest_1.expect)((0, index_js_1.colorDiff)({ r: 0, g: 0, b: 0, a: 0 }, { r: 255, g: 255, b: 255, a: 0 })).toEqual(1);
    });
    (0, vitest_1.test)("different alpha", () => {
        (0, vitest_1.expect)(pct((0, index_js_1.colorDiff)({ r: 255, g: 0, b: 0, a: 100 }, { r: 255, g: 0, b: 0, a: 150 }))).toEqual(3.8);
        (0, vitest_1.expect)((0, index_js_1.colorDiff)({ r: 0, g: 0, b: 0, a: 0 }, { r: 255, g: 255, b: 255, a: 255 })).toEqual(1);
    });
});
//# sourceMappingURL=index.test.js.map